<template>
  <div class="profile container pt-3">
    <div class="d-flex justify-content-between align-items-center flex-wrap">
      <div class="d-flex align-items-center mb-2">
        <user-avatar size="50px" class="mr-3" />

        <h1 class="m-0">
          {{$auth.user.nickname}}
        </h1>
      </div>

      <logout-button class="mb-2"/>
    </div>

    <p class="my-4">
      Here is everything we have about you:
    </p>

    <pre class="text-light">{{ JSON.stringify($auth.user, null, 2) }}</pre>

  </div>
</template>

<script>
import UserAvatar from '@/components/auth/UserAvatar'
import LogoutButton from '@/components/auth/LogoutButton'

export default {
  name: 'profile',
  components: { UserAvatar, LogoutButton }
}
</script>
